Enemy = Object:extend()

function Enemy:new()
    self.image = enemyImage 
    self.x = 325
    self.y = wHeight - 130
    self.speed = 100
    self.width = self.image:getWidth()
    self.height = self.image:getHeight()
end

function Enemy:update(dt)
    self.x = self.x + self.speed * dt
    self.y = wHeight - 130
    
    local window_width = love.graphics.getWidth()
    
    if self.x < 0 then
        self.x = 0
        self.speed = -self.speed
    elseif self.x + self.width > window_width then
        self.x = window_width - self.width
        self.speed = -self.speed
    end
end

function Enemy:draw()
    love.graphics.draw(self.image, self.x, self.y)
end

function setEnemyImage(p)
    print(p)
    if p == 'snake' then
        enemyImage = love.graphics.newImage("img/snake.png")
    elseif p == 'devil' then
        enemyImage = love.graphics.newImage("img/devil.png")
    else
        enemyImage = love.graphics.newImage("img/devil.png")
    end
end

function getEnemyImage()
    return enemyImage
end