function lvl1Load()
    player = Player()
    enemy = Enemy()
end

function lvl1Update(dt)
    
    player:update(dt)
    enemy:update(dt)
    
    for i, v in ipairs(listOfBullets) do
        v:update(dt)
        v:checkCollision(enemy)
        
        if v.dead then
            table.remove(listOfBullets, i)
        end
    end

end

function lvl1Draw()
    
    player:draw()
    enemy:draw()
    
    for i, v in ipairs(listOfBullets) do
        v:draw()
    end
    
    score:draw()
end

function lvl1KeyPressed(key)
    player:keyPressed(key)
end
