wWidth, wHeight = love.graphics.getDimensions()

function love.load()
    Object = require("lib/classic")
    Menu = require("lib/menu")
    
    require("entities/score")
    require("levels/lvl0")
    require("levels/lvl1")
    require("entities/player")
    require("entities/enemy")
    require("entities/bullet")
    require("entities/menu1")
    require("entities/menu2")
    serialize = require("lib/ser")
    
    --setting the default enemy sprite
    setEnemyImage(null)
        
    score = Score()
    scor = 0
    menuTree = 'root'   
    gamestate = 'lvl0'
    
    listOfBullets = {}
    
    lvl0Load()

end

function love.update(dt)
    wWidth, wHeight = love.graphics.getDimensions()
    
    if love.keyboard.isDown("escape") then
        love.event.push('quit')
    end
    
    if gamestate == 'lvl0' then
        lvl0Update(dt)
    elseif gamestate == 'lvl1' then
        lvl1Update(dt)
    end
end

function love.draw()
    if gamestate == 'lvl0' then
        lvl0Draw()
    elseif gamestate == 'lvl1' then
        lvl1Draw()
    end
end

function love.keypressed(key)
    if gamestate == 'lvl0' then
        lvl0KeyPressed(key)
    elseif gamestate == 'lvl1' then
        lvl1KeyPressed(key)
    end
end
